# Locate SQLite3 include paths and libraries
#
# This module defines:
#     SQLITE3_FOUND - system has SQLite3
#     SQLITE3_INCLUDE_DIR - the SQLite3 include directory
#     SQLITE3_LIBRARY - the libraries to link against to use SQLite3

FIND_PATH( SQLITE3_INCLUDE_DIR sqlite3.h
	PATHS
	/usr/include
	/usr/local/include
	)

FIND_LIBRARY( SQLITE3_LIBRARY sqlite3
	PATHS
	/usr/lib
	/usr/local/lib
	)

IF ( SQLITE3_INCLUDE_DIR AND SQLITE3_LIBRARY )
	SET( SQLITE3_FOUND TRUE )
ENDIF ( SQLITE3_INCLUDE_DIR AND SQLITE3_LIBRARY )

IF ( SQLITE3_FOUND )
	IF ( NOT SQLITE3_FIND_QUIETLY )
		MESSAGE( STATUS "Found SQLite3: ${SQLITE3_LIBRARY}" )
	ENDIF ( NOT SQLITE3_FIND_QUIETLY )
ELSE ( SQLITE3_FOUND )
	IF ( SQLITE3_FIND_REQUIRED )
		MESSAGE( FATAL_ERROR "Could not find SQLite3" )
	ENDIF ( SQLITE3_FIND_REQUIRED )
ENDIF ( SQLITE3_FOUND )
