# Append compile flags to the target.
#
# Usage:
#     MACRO_ADD_COMPILE_FLAGS( <target> "<flags>" )

macro ( MACRO_ADD_COMPILE_FLAGS target flags )
	get_target_property( _flags ${target} COMPILE_FLAGS )
	if ( _flags )
		set( _flags "${flags} ${_flags}" )
	else ( _flags )
		set( _flags "${flags}" )
	endif ( _flags )
	set_target_properties( ${target} PROPERTIES COMPILE_FLAGS "${_flags}" )
endmacro ( MACRO_ADD_COMPILE_FLAGS )
